OceanBase
English日本語简体中文
Docs Home
Products
Integrations
Release Notes

Databases

OceanBase DatabaseOceanBase Cloud OceanBase Best Practices

Tools

OceanBase Cloud PlatformOceanBase Migration ServiceOceanBase Developer CenterOceanBase Migration AssessmentOceanBase Admin ToolOceanBase Loader and DumperOceanBase DeployerKubernetes operator for OceanBaseOceanBase Diagnostic Tool OceanBase Binlog Service

Connectors and Middleware

OceanBase Database Proxy OceanBase Connector/C OceanBase Connector/J OceanBase Connector/ODBC OceanBase Connector/NETOceanBase Command-Line Client

Databases

OceanBase DatabaseOceanBase Cloud OceanBase Best Practices

Connectors and Middleware

OceanBase Database Proxy OceanBase Connector/C OceanBase Connector/J OceanBase Connector/ODBC OceanBase Connector/NETOceanBase Command-Line Client

Tools

OceanBase Cloud PlatformOceanBase Migration ServiceOceanBase Developer CenterOceanBase Migration AssessmentOceanBase Admin ToolOceanBase Loader and DumperOceanBase DeployerKubernetes operator for OceanBaseOceanBase Diagnostic Tool OceanBase Binlog Service
OceanBase DatabaseOceanBase Cloud ToolsConnectors and MiddlewareLifecycle Support Policy

OceanBase Migration Service

V3.3.1Community Edition
  • Product updates
  • Product Introduction
    • What is OMS Community Edition?
    • Architecture
      • Overview
      • Hierarchical functional system
      • Basic components
    • Limits
    • Terms
  • Deployment Guide
    • Overview
    • System requirements
    • Resource configuration specifications
    • Prepare the environment
    • Deploy a time-series database (Optional)
    • Deploy OMS Community Edition on a single node
    • Deploy OMS Community Edition on multiple nodes in a single region
    • Deploy OMS Community Edition on multiple nodes in multiple regions
    • Check the deployment
    • Scale out OMS Community Edition
  • User Guide
    • OMS Community Edition console
      • Log on to the OMS Community Edition console
      • Overview
      • User center
        • Configure user information
        • Change your logon password
        • Log off
    • Users and privileges
      • Create a database user
      • User privileges
      • Enable binlogs for the MySQL database
    • Manage data sources
      • Add a data source
        • Add an OceanBase Community Edition data source
        • Add a MySQL data source
        • Add a TiDB data source
        • Add a Kafka data source
        • Add a RocketMQ data source
      • View data source information
      • Copy a data source
      • Edit a data source
      • Delete a data source
    • Data migration
      • Overview
      • Supported DDL operations for incremental migration and limits
      • Create a data migration project
        • Create a project to migrate data from a MySQL database to OceanBase database Community Edition
        • Create a project to migrate data from OceanBase database Community Edition to a MySQL database
        • Migrate data within OceanBase database Community Edition
        • Create an active-active disaster recovery project in OceanBase database Community Edition
        • Create a project to migrate data from a TiDB database to OceanBase database Community Edition
      • Manage data migration projects
        • View details of a data migration project
        • Start, pause, and resume a data migration project
        • Release a data migration project
        • Delete a data migration project
        • Use tags to manage data migration projects
        • Download and import the settings of migration objects
      • Configure matching rules for migration objects
    • Data synchronization
      • Overview
      • Data formats
      • Create a data synchronization project
        • Create a project to synchronize data from an OceanBase database Community Edition to a Kafka instance
        • Create a project to synchronize data from an OceanBase database Community Edition to a RocketMQ instance
      • Manage data synchronization projects
        • View details of a data synchronization project
        • Start, pause, and resume a data synchronization project
        • Release and delete a data synchronization project
        • Use tags to manage data synchronization projects
        • Download and import the settings of synchronization objects
    • OPS & Monitoring
      • Go to the overview page
      • Server
        • View server information
        • Update the quota
        • View server logs
        • Paths of component logs
      • Components
        • Store
          • Create a store
          • View details of a store
          • Update the configurations of a store
          • Start and pause a store
          • Destroy a store
        • Connector
          • View details about a connector
          • Start and pause a connector
          • Migrate a connector
          • Update the configurations of a connector
          • Batch O&M
          • Delete a connector
        • JDBCWriter
          • View details of a JDBCWriter
          • Start and pause a JDBCWriter
          • Migrate a JDBCWriter
          • Update the configurations of a JDBCWriter
          • Batch O&M
          • Delete a JDBCWriter
        • Checker
          • View details of a checker
          • Start and pause a checker
          • Rerun and recover a checker
          • Update the configurations of a checker
          • Delete a checker
      • O&M ticket
        • View details of an O&M ticket
        • Skip a ticket or sub-ticket
        • Retry a ticket or sub-ticket
      • Component parameters
        • Store parameters
          • Parameters of a MySQL store
          • Parameters of an OceanBase store
        • Connector parameters
          • Parameters of a destination RocketMQ instance
          • Parameters of a DataflowSink instance
          • Parameters of a destination Kafka instance
          • Parameters of a source database in full migration
          • Parameters for intermediate-layer synchronization
        • JDBCWriter parameters
        • Checker parameters
    • System management
      • User management
      • Alert center
        • View project alerts
        • View system alerts
        • Manage alert settings
      • Associate with OCP
      • System Parameters
        • Modify system parameters
        • Modify HA configurations
  • Alert Reference
    • oms_host_down
    • oms_host_down_migrate_resource
    • oms_host_threshold
    • oms_migration_failed
    • oms_migration_delay
    • oms_sync_failed
    • oms_sync_status_inconsistent
    • oms_sync_delay
  • API Reference
    • Obtain the status of a migration project
    • Obtain the status of a synchronization project
  • Upgrade Guide
    • Overview
    • Upgrade OMS Community Edition in single-node deployment mode
    • Upgrade OMS Community Edition in multi-node deployment mode
    • FAQ

Download PDF

Document Feedback
  1. Documentation Center
  2. OceanBase Migration Service
  3. V3.3.1

Obtain the status of a migration project

Last Updated:2026-09-04 08:14:02

Description
Call description
Prerequisites
Request path
Request parameters
Response parameters
Sample response

This topic describes the OceanBase Migration Service (OMS) API operation of obtaining the status of a migration project.

Description

You can call this operation to obtain the status of a data migration project based on the specified parameters.

Call description

Prerequisites

This operation is applicable to OMS V3.3.0-CE.

Request path

GET /api/omsp/v2/migrations/{projectId}/progress

Request parameters

Parameter
Type
Description
projectId string The ID of the data migration project.

Response parameters

Parameter
Type
Description
success boolean Indicates whether the call is successful.
code string The status code.
message string The description.
advice string The advice.
requestId string The request ID.
pageNumber integer[int32] The current page number.
pageSize integer[int32] The number of records per page.
totalCount integer[int64] The total number of records.
cost string The time spent on processing the request.
data Object For more information, see Parameters in data.

Parameters in data

Parameter
Type
Description
status string The status of the data migration project. Valid values: INIT, RUNNING, SUSPEND, FAILED, FINISHED, RELEASING, RELEASED, and DELETED.
importance string The alert level. Valid values: HIGH, MEDIUM, LOW, and IGNORE.
enableStructMigration boolean Indicates whether structure migration is enabled.
enableFullMigration boolean Indicates whether full data migration is enabled.
enableIncrSync boolean Indicates whether incremental synchronization is enabled.
enableReverseIncrSync boolean Indicates whether reverse incremental synchronization is enabled.
currentStep string The current step, excluding full verification.
structMigrationProgress integer[int32] The progress of structure migration in percentage. Value range: 0 to 100.
fullMigrationProgress integer[int32] The progress of full migration in percentage. Value range: 0 to 100.
incrSyncCheckpoint integer[int64] The checkpoint for incremental synchronization. Unit: seconds.
reverseIncrSyncCheckpoint integer[int64] The checkpoint for reverse incremental synchronization. Unit: seconds.

Sample response

{
 "success":true
 "code":"success"
 "message":"sbjve****"
 "advice":"ikxwe****"
 "requestId":"817dfA6B-****."
 "pageNumber":194
 "pageSize":4176
 "totalCount":6755
 "cost":"xgojy****"
 "data":{
  "status":"INIT"
  "importance":"HIGH"
  "enableStructMigration":true
  "enableFullMigration":true
  "enableIncrSync":true
  "enableReverseIncrSync":false
  "currentStep":"PRE_CHECK"
  "structMigrationProgress":5151
  "fullMigrationProgress":8897
  "incrSyncCheckpoint":3628
  "reverseIncrSyncCheckpoint":6165
  }
 }

Previous topic

oms_sync_delay
Last

Next topic

Obtain the status of a synchronization project
Next
on this page
Description
Call description
Prerequisites
Request path
Request parameters
Response parameters
Sample response